package steps

// |@@| F

import (
	"context"
	"gardening/src/dat/maes"
	"gardening/src/lib/maestro"
)

type PerformStep struct {
	Maestro *maestro.Maestro
}

func (this *PerformStep) Act(ctx context.Context, in *maes.PerformRenewOrdersMaeIn, out *maes.PerformRenewOrdersMaeOut) (bool, error) {
	this.Maestro.AddSuccessMessage(&out.Extra, "Renew Orders performed")
	return maestro.Continue()
}
